import { Story } from '@storybook/react';
import { DividerProps } from '@mui/material';
import { Divider } from './Divider';
declare const _default: {
    title: string;
    component: typeof Divider;
    argTypes: {
        absolute: {
            defaultValue: boolean;
            table: {
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        orientation: {
            defaultValue: string;
            table: {
                defaultValue: {
                    summary: string;
                };
            };
        };
        component: {
            defaultValue: string;
            table: {
                defaultValue: {
                    summary: string;
                };
            };
        };
        flexItem: {
            defaultValue: boolean;
            table: {
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        light: {
            defaultValue: boolean;
            table: {
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        variant: {
            defaultValue: string;
            table: {
                defaultValue: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<DividerProps>;
export declare const Inset: Story<DividerProps>;
export declare const Vertical: Story<DividerProps>;
