import { Story } from '@storybook/react';
import { SliderProps } from '@mui/material';
import { Slider } from './Slider';
declare const _default: {
    title: string;
    component: typeof Slider;
    argTypes: {
        'aria-label': string;
        'aria-labelledby': string;
        defaultValue: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        min: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        max: {
            control: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
        step: {
            control: {
                type: string;
            };
            defaultValue: number;
            table: {
                type: {
                    summary: string;
                    detail: string;
                };
                defaultValue: {
                    summary: number;
                };
            };
        };
        marks: {
            control: {
                type: string;
            };
            options: string[];
            table: {
                type: {
                    summary: string;
                };
            };
        };
        color: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        disabled: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: boolean;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: boolean;
                };
            };
        };
        valueLabelDisplay: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        ortientation: {
            control: {
                type: string;
            };
            options: string[];
            defaultValue: string;
            table: {
                type: {
                    summary: string;
                };
                defaultValue: {
                    summary: string;
                };
            };
        };
        onChange: {
            action: {
                type: string;
            };
            table: {
                type: {
                    summary: string;
                };
            };
        };
    };
    decorators: ((...args: any) => any)[];
    parameters: {
        controls: {
            expanded: boolean;
        };
        design: {
            type: string;
            url: string;
        };
    };
};
export default _default;
export declare const Default: Story<SliderProps<"span", {}>>;
export declare const Secondary: Story<SliderProps<"span", {}>>;
export declare const Step: Story<SliderProps<"span", {}>>;
export declare const LabelOn: Story<SliderProps<"span", {}>>;
export declare const LabelAuto: Story<SliderProps<"span", {}>>;
export declare const Disabled: Story<SliderProps<"span", {}>>;
